/**
*****************************************************************************
** File			: Interface_Drv.c
** Project		: Testa_Funkta
**
**  Created on	: 7 . 2016 .
**  Version		: 
**  Author		: 
** ---------------------------------------------------
**  Info		:   .
**  			      ,
**  			   ,  ,
**  			  / .
**
** ---------------------------------------------------
**  Functions	: Interface_Initial			.
**  			 	- Ports_Initial				 
**  			 	- Periph_Module_Initial		 .
**
**				  TX_Command(byte)			   
**				  TX_Data(byte)				  
**				  uint8_t RX_Data			    
**
**
**
**
*****************************************************************************
**/


//---------------------------------------------------------
/* Includes */
#include "stm32f4xx.h"
#include "Interface_Drv.h"

//---------------------------------------------------------
/* Private define  */
/* ..........................
 *  
 * MOSI
 * SCL
 * DCX	- PA8
 */
#define DCX_PIN		GPIO_Pin_8		//  "/" 
#define DCX_PORT	GPIOA

//---------------------------------------------------------
/* Private global variables */
/* (  ,     ) */


//---------------------------------------------------------
/* Private function prototypes */
/* ( ,     ) */
void Ports_Initial(void);
void Periph_Module_Initial(void);

//---------------------------------------------------------
/* Private functions */
//=================================================================================================
/* ------------------------------------
 *  :
 *  -  
 *  -  .
 *  -  -??
 */
int8_t Interface_Initial(void)
{
	Ports_Initial();
	Periph_Module_Initial();
	return 0;
}

/* ..........................
 *  
 * MOSI - PA7 AF PP VHS
 * SCL  - PA5 AF PP VHS
 * DCX  - ... PP HS
 * CSX  - ... PP HS
 */
void Ports_Initial(void)
{
	//  ,   
}

/* ..........................
 *  . 
 */
void Periph_Module_Initial(void)
{
	//  ,   .
}
//-------------------------------------

/* ------------------------------------
 *    
 *  
 */
int8_t TX_Command(uint8_t byte)
{
	//         
	//    DCX = 0.
	//  ., .  = 1,
	//   , . . = 0
	return 0;
}

/* ..........................
 *     
 *  
 */
int8_t TX_Command_Params(uint8_t byte)
{
	//          
	//    DCX = 1.
	//  ., .  = 1,
	//   , . . = 0
	return 0;
}

/* ..........................
 *      
 */
uint8_t RX_Data(void)
{
	uint8_t byte;

	//     
	byte = 0x01;	//  
	return byte;
}

/* ..........................
 *     
 */
void Suspend_Inreface(void)
{
	//   
}
//-------------------------------------


